#!/usr/bin/env python3
# 2020-03-14, wildi, wildi.markus@bluewin.ch

# This script is used to calculate the input values for ak.c,
# method King A.
# The values here are obtained either from astrometry.net or similar
# or by the modified INDI ccd_simulator.

import math

# 2020-03-14T12:20:17: Driver ./indi_simulator_ccd: mod ra         :   29.024,          dec:   87.867
#-3.7323639917440934 79.19999999995343
sra0 =    29.024 * 3600.  
sdec0 =   87.867 * 3600.  
# 2020-03-14T12:25:17: Driver ./indi_simulator_ccd: mod ra         :   28.996,          dec:   87.889
# 
sra1 =     28.996 * 3600.  
sdec1 =    87.889 * 3600.  

sdra = (sra1 -sra0) *  math.cos((sdec1+sdec0)/2./180. * math.pi/3600.)
sddec = sdec1 -sdec0

print(sdra, sddec)

